<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>@cortical/typedoc</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="assets/js/search.js" data-base=".">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="index.html" class="title">@cortical/typedoc</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="globals.html">Globals</a>
				</li>
			</ul>
			<h1> @cortical/typedoc</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<div class="tsd-panel tsd-typography">
				<h1 id="typedoc">TypeDoc</h1>
				<blockquote>
					<p>Documentation generator for TypeScript projects.</p>
				</blockquote>
				<p><a href="https://travis-ci.org/TypeStrong/typedoc"><img src="https://travis-ci.org/TypeStrong/typedoc.svg?branch=master" alt="Build Status"></a>
					<a href="http://badge.fury.io/js/typedoc"><img src="https://badge.fury.io/js/typedoc.svg" alt="NPM Version"></a>
					<a href="https://gitter.im/TypeStrong/typedoc?utm_source=badge&amp;utm_medium=badge&amp;utm_campaign=pr-badge&amp;utm_content=badge"><img src="https://badges.gitter.im/TypeStrong/typedoc.svg" alt="Chat on Gitter"></a>
				<a href="https://greenkeeper.io/"><img src="https://badges.greenkeeper.io/TypeStrong/typedoc.svg" alt="Greenkeeper Enabled"></a></p>
				<h2 id="installation">Installation</h2>
				<p>TypeDoc runs on Node.js and is available as an NPM package. You can install TypeDoc
				in your project&#39;s directory as usual:</p>
				<pre><code class="lang-bash">$ npm install typedoc --save-dev
</code></pre>
				<p>Like the TypeScript compiler, TypeDoc comes with a binary that can be called from anywhere
				if you install TypeDoc as a global module. The name of the executable is <code>typedoc</code>.</p>
				<pre><code class="lang-bash">$ npm install typedoc --global
$ typedoc
</code></pre>
				<h2 id="usage">Usage</h2>
				<h3 id="shell">Shell</h3>
				<p>TypeDoc accepts most of the command line arguments that the TypeScript compiler accepts. One major
					difference is the fact that one may pass an entire directory instead of individual files to the documentation
				generator. So in order to create a documentation for an entire project you simply type:</p>
				<pre><code class="lang-bash">$ typedoc --out path/to/documentation/ path/to/typescript/project/
</code></pre>
				<h3 id="important-note">Important note</h3>
				<p>Starting with version 0.2, TypeDoc no longer can predict whether files should be treated as modules
					or whether the project should be compiled into one big namespace. You must specify the <code>mode</code> argument
				in order to change the behaviour of TypeDoc.</p>
				<h3 id="arguments">Arguments</h3>
				<ul>
					<li><code>--out &lt;path/to/documentation/&gt;</code><br>
					Specifies the location the documentation should be written to.</li>
					<li><code>--mode &lt;file|modules&gt;</code><br>
					Specifies the output mode the project is used to be compiled with.</li>
					<li><code>--options</code><br>
					Specify a js option file that should be loaded. If not specified TypeDoc will look for &#39;typedoc.js&#39; in the current directory.</li>
					<li><code>--json &lt;path/to/output.json&gt;</code><br>
					Specifies the location and file name a json file describing the project is written to. When specified no documentation will be generated.</li>
					<li><code>--ignoreCompilerErrors</code><br>
					Should TypeDoc still generate documentation pages even after the compiler has returned errors?</li>
				</ul>
				<h4 id="source-file-handling">Source file handling</h4>
				<ul>
					<li><code>--exclude &lt;pattern&gt;</code><br>
					Exclude files by the given pattern when a path is provided as source. Supports standard minimatch patterns (see <a href="https://github.com/TypeStrong/typedoc/issues/170">#170</a>)</li>
					<li><code>--includeDeclarations</code><br>
					Turn on parsing of .d.ts declaration files.</li>
					<li><code>--externalPattern &lt;pattern&gt;</code><br>
					Define a pattern for files that should be considered being external.</li>
					<li><code>--excludeExternals</code><br>
					Prevent externally resolved TypeScript files from being documented.</li>
					<li><code>--excludePrivate</code><br>
					Prevent private members from being included in the generated documentation.</li>
					<li><code>--excludeProtected</code><br>
					Prevent protected members from being included in the generated documentation.</li>
				</ul>
				<h4 id="typescript-compiler">TypeScript compiler</h4>
				<ul>
					<li><code>--module &lt;commonjs, amd, system or umd&gt;</code><br>
					Specify module code generation: &quot;commonjs&quot;, &quot;amd&quot;, &quot;system&quot; or &quot;umd&quot;.</li>
					<li><code>--target &lt;ES3, ES5, or ES6&gt;</code><br>
					Specify ECMAScript target version: &quot;ES3&quot; (default), &quot;ES5&quot; or &quot;ES6&quot;</li>
					<li><code>--tsconfig &lt;path/to/tsconfig.json&gt;</code><br>
					Specify a typescript config file that should be loaded. If not specified TypeDoc will look for &#39;tsconfig.json&#39; in the current directory.</li>
				</ul>
				<h4 id="theming">Theming</h4>
				<ul>
					<li><code>--theme &lt;default|minimal|path/to/theme&gt;</code><br>
					Specify the path to the theme that should be used.</li>
					<li><code>--name &lt;Documentation title&gt;</code><br>
					Set the name of the project that will be used in the header of the template.</li>
					<li><code>--readme &lt;path/to/readme|none&gt;</code><br>
						Path to the readme file that should be displayed on the index page. Pass <code>none</code> to disable the index page
					and start the documentation on the globals page.</li>
					<li><code>--plugin</code><br>
					Specify the npm plugins that should be loaded. Omit to load all installed plugins, set to &#39;none&#39; to load no plugins.</li>
					<li><code>--hideGenerator</code><br>
					Do not print the TypeDoc link at the end of the page.</li>
					<li><code>--gaID</code><br>
					Set the Google Analytics tracking ID and activate tracking code.</li>
					<li><code>--gaSite &lt;site&gt;</code><br>
					Set the site name for Google Analytics. Defaults to <code>auto</code></li>
					<li><code>--entryPoint &lt;fully.qualified.name&gt;</code><br>
					Specifies the fully qualified name of the root symbol. Defaults to global namespace.</li>
					<li><code>--gitRevision &lt;revision|branch&gt;</code><br>
					Use specified revision or branch instead of the last revision for linking to GitHub source files.</li>
				</ul>
				<h4 id="content">Content</h4>
				<ul>
					<li><p><code>--includes &lt;path/to/includes&gt;</code><br>
							Specifies the location to look for included documents. One may use <code>[[include:FILENAME]]</code>
						in comments to include documents from this location.</p>
					</li>
					<li><p><code>--media &lt;path/to/media&gt;</code><br>
							Specifies the location with media files that should be copied to the output directory. In order to create
						a link to media files use the pattern <code>media://FILENAME</code> in comments.</p>
					</li>
				</ul>
				<h4 id="miscellaneous">Miscellaneous</h4>
				<ul>
					<li><code>--version</code><br>
					Display the version number of TypeDoc.</li>
					<li><code>--help</code><br>
					Display all TypeDoc options.</li>
				</ul>
				<h3 id="webpack">Webpack</h3>
				<p>There is a plugin available to run TypeDoc with Webpack created by Microsoft. You can find it on NPM:<br>
				<a href="https://www.npmjs.com/package/typedoc-webpack-plugin">https://www.npmjs.com/package/typedoc-webpack-plugin</a></p>
				<h3 id="gulp">Gulp</h3>
				<p>There is a plugin available to run TypeDoc with Gulp created by Rogier Schouten. You can find it on NPM:<br>
				<a href="https://www.npmjs.org/package/gulp-typedoc/">https://www.npmjs.org/package/gulp-typedoc/</a></p>
				<h3 id="grunt">Grunt</h3>
				<p>There is a plugin available to run TypeDoc with Grunt created by Bart van der Schoor. You can find it on NPM:<br>
				<a href="https://www.npmjs.org/package/grunt-typedoc">https://www.npmjs.org/package/grunt-typedoc</a></p>
				<h2 id="plugins">Plugins</h2>
				<ul>
					<li><a href="https://github.com/christopherthielen/typedoc-plugin-external-module-name">External Module Name</a> - Set the name of TypeDoc external modules</li>
					<li><a href="https://github.com/gdelmas/typedoc-plugin-sourcefile-url">Sourcefile URL</a> - Set custom source file URL links</li>
					<li><a href="https://github.com/christopherthielen/typedoc-plugin-internal-external">Internal/External Module</a> - Explicitly mark modules as <code>@internal</code> or <code>@external</code></li>
					<li><a href="https://github.com/christopherthielen/typedoc-plugin-single-line-tags">Single Line Tags</a> - Process certain <code>@tags</code> as single lines</li>
				</ul>
				<h2 id="advanced-guides-and-docs">Advanced guides and docs</h2>
				<p>Visit our homepage for advanced guides and an extensive API documentation:<br>
				<a href="http://typedoc.org">http://typedoc.org</a></p>
				<h2 id="contributing">Contributing</h2>
				<p>This project is maintained by a community of developers. Contributions are welcome and appreciated.
					You can find TypeDoc on GitHub; feel free to start an issue or create a pull requests:<br>
				<a href="https://github.com/TypeStrong/typedoc">https://github.com/TypeStrong/typedoc</a></p>
				<h2 id="license">License</h2>
				<p>Copyright (c) 2015 <a href="http://typedoc.org">Sebastian Lenz</a>.<br>
					Copyright (c) 2016-2018 <a href="https://github.com/TypeStrong/typedoc/graphs/contributors">TypeDoc Contributors</a>.<br>
				Licensed under the Apache License 2.0.</p>
			</div>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="globals.html"><em>Globals</em></a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="modules/_access_.html">"access"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="modules/_classes_.html">"classes"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="modules/_default_export_.html">"default-<wbr>export"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="modules/_enumerations_.html">"enumerations"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="modules/_flattened_.html">"flattened"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="modules/_functions_.html">"functions"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="modules/_generics_.html">"generics"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="modules/_modules_.html">"modules"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="modules/_single_export_.html">"single-<wbr>export"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="modules/_typescript_1_3_.html">"typescript-<wbr>1.3"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="modules/_typescript_1_4_.html">"typescript-<wbr>1.4"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="modules/_typescript_1_5_.html">"typescript-<wbr>1.5"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="modules/_variables_.html">"variables"</a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-module"><span class="tsd-kind-icon">Module</span></li>
				<li class="tsd-kind-object-literal"><span class="tsd-kind-icon">Object literal</span></li>
				<li class="tsd-kind-variable"><span class="tsd-kind-icon">Variable</span></li>
				<li class="tsd-kind-function"><span class="tsd-kind-icon">Function</span></li>
				<li class="tsd-kind-function tsd-has-type-parameter"><span class="tsd-kind-icon">Function with type parameter</span></li>
				<li class="tsd-kind-index-signature"><span class="tsd-kind-icon">Index signature</span></li>
				<li class="tsd-kind-type-alias"><span class="tsd-kind-icon">Type alias</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-enum"><span class="tsd-kind-icon">Enumeration</span></li>
				<li class="tsd-kind-enum-member"><span class="tsd-kind-icon">Enumeration member</span></li>
				<li class="tsd-kind-property tsd-parent-kind-enum"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-enum"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-interface"><span class="tsd-kind-icon">Interface</span></li>
				<li class="tsd-kind-interface tsd-has-type-parameter"><span class="tsd-kind-icon">Interface with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-interface"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-interface"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-interface"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-class"><span class="tsd-kind-icon">Class</span></li>
				<li class="tsd-kind-class tsd-has-type-parameter"><span class="tsd-kind-icon">Class with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class"><span class="tsd-kind-icon">Accessor</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-class"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static property</span></li>
				<li class="tsd-kind-call-signature tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="http://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="assets/js/main.js"></script>
<script>if (location.protocol == 'file:') document.write('<script src="assets/js/search.js"><' + '/script>');</script>
</body>
</html>